Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface CronScheduleDocument.CronSchedule

All Superinterfaces:
  Schedule, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  CronScheduleDocumentImpl.CronScheduleImpl

Enclosing interface:
  CronScheduleDocument

    public static interface CronScheduleDocument.CronSchedule

extends Schedule

An XML cron-schedule(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `CronScheduleDocument.CronSchedule.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getCronExpression()` Gets the "cronExpression" attribute
`boolean` | `isSetCronExpression()` True if has "cronExpression" attribute
`void` | `setCronExpression(java.lang.String cronExpression)` Sets the "cronExpression" attribute
`void` | `unsetCronExpression()` Unsets the "cronExpression" attribute
`org.apache.xmlbeans.XmlString` | `xgetCronExpression()` Gets (as xml) the "cronExpression" attribute
`void` | `xsetCronExpression(org.apache.xmlbeans.XmlString cronExpression)` Sets (as xml) the "cronExpression" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Schedule
`addNewProperty, getEndDate, getPropertyArray, getPropertyArray, getPropertyList, getScheduleid, getStartDate, insertNewProperty, isSetEndDate, isSetStartDate, removeProperty, setEndDate, setPropertyArray, setPropertyArray, setScheduleid, setStartDate, sizeOfPropertyArray, unsetEndDate, unsetStartDate, xgetEndDate, xgetScheduleid, xgetStartDate, xsetEndDate, xsetScheduleid, xsetStartDate`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getCronExpression

    java.lang.String getCronExpression()

  Gets the "cronExpression" attribute

### xgetCronExpression

    org.apache.xmlbeans.XmlString xgetCronExpression()

  Gets (as xml) the "cronExpression" attribute

### isSetCronExpression

    boolean isSetCronExpression()

  True if has "cronExpression" attribute

### setCronExpression

    void setCronExpression(java.lang.String cronExpression)

  Sets the "cronExpression" attribute

### xsetCronExpression

    void xsetCronExpression(org.apache.xmlbeans.XmlString cronExpression)

  Sets (as xml) the "cronExpression" attribute

### unsetCronExpression

    void unsetCronExpression()

  Unsets the "cronExpression" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD